Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLDocument.Iterator

    java.lang.Object
      |
      +--javax.swing.text.html.HTMLDocument.Iterator

public abstract static class HTMLDocument.Iterator
extends java.lang.Object

An iterator to iterate over a particular type of tag. The iterator is not thread safe. If reliable access to the document is not already ensured by the context under which the iterator is being used, it's use should be performed under the protection of Document.render.

Constructor Summary
`HTMLDocument.Iterator()`

Method Summary
`abstract AttributeSet` | `getAttributes()` Fetch the attributes for this tag.
`abstract int` | `getEndOffset()` End of the range for which the current occurence of the tag is defined and has the same attributes.
`abstract int` | `getStartOffset()` Start of the range for which the current occurence of the tag is defined and has the same attributes.
`abstract HTML.Tag` | `getTag()` Type of tag this iterator represents.
`abstract boolean` | `isValid()` Indicates if the iterator is currently representing an occurence of a tag.
`abstract void` | `next()` Move the iterator forward to the next occurence of the tag it represents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLDocument.Iterator

    public HTMLDocument.Iterator()

Method Detail

### getAttributes

    public abstract AttributeSet getAttributes()

  Fetch the attributes for this tag.

### getStartOffset

    public abstract int getStartOffset()

  Start of the range for which the current occurence of the tag is defined and has the same attributes.

### getEndOffset

    public abstract int getEndOffset()

  End of the range for which the current occurence of the tag is defined and has the same attributes.

### next

    public abstract void next()

  Move the iterator forward to the next occurence of the tag it represents.

### isValid

    public abstract boolean isValid()

  Indicates if the iterator is currently representing an occurence of a tag. If false there are no more tags for this iterator.

### getTag

    public abstract HTML.Tag getTag()

  Type of tag this iterator represents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.